#ifndef MISC_H
#define MISC_H

#include <stdlib.h>

/* Structure for line reading bookkeeping. */
#define READ_LINE_STATIC_BUFFER     5000

typedef struct read_line_t READ_LINE;

struct read_line_t {
    /* File descriptor we are reading from. */
    int fileno;
    /* Buffer data and pointers to read data. */
    char buf[READ_LINE_STATIC_BUFFER + 1];
    int start, end;
};


/* Solid line reading functions. */
void init_read_line_buffer(READ_LINE *buf, int file_descriptor);
char *read_line(READ_LINE *buf);
void *xrealloc(void *ptr, size_t size);


#endif /* MISC_H */
