#!/bin/sh
# -*- mode:Shell script; tab-width: 4 -*-
# Simple script to easily dump all the SVN database both as dump
# and as individual directories for each revision. First, the
# hardcoded variables.

OUTDIR=distrib
REPO_FILE=/home/gradha/SVN/email-fmt

# Here goes the automated script.
LAST_REVISION=`svn log file:///home/gradha/SVN/email-fmt/trunk|head -2|tac|head -1|cut -c 2-|awk '{print $1;}'`
REPO=file://$REPO_FILE/trunk

rm -Rf $OUTDIR all.zip
mkdir $OUTDIR
svn co $REPO $OUTDIR/temp
cd $OUTDIR/temp
PREV_F=1
export LANG="en_GB"
for f in `seq --format="%02g" 2 $LAST_REVISION`; do
    svn update -r $f
    DATE_EXT=`svn info|grep -i "last changed date"|cut -c 20-38`
    DATE_DIR="$f $DATE_EXT"
    svn export . "../$DATE_DIR"
    echo "<html><head><title>Cambios de la versin $f</title></head>
<body><h1>Log de la versin $f</h1><pre>" > "../${DATE_DIR}.html"
    svn log -r $f > "../${DATE_DIR}.log"
    svn log -r $f | sed -e 's#>#\&gt;#g;s#<#\&lt;#g;' >> "../${DATE_DIR}.html"
    echo "</pre>
<h1>Cambios de la versin $f</h1><pre>" >> "../${DATE_DIR}.html"
    svn diff -r $PREV_F:$f > "../${DATE_DIR}.diff"
    svn diff -r $PREV_F:$f | sed -e 's#>#\&gt;#g;s#<#\&lt;#g;' >> "../${DATE_DIR}.html"
    echo '</pre></body></html>' >> "../${DATE_DIR}.html"
    PREV_F=$f
done
cd ..
export LANG="es_ES"
rm -Rf temp
cd ..
svnadmin dump $REPO_FILE > distrib/svn_dump.txt

# Copy html web with original python script.
cp /home/gradha/web/sdf/textos/setedit_external_macro.e* distrib/

# Everything exported. Now, separate and prepare for DOS line feeds.
mv distrib unix
mkdir distrib
cp -R unix distrib/dos
mv unix distrib
find distrib/dos -type f -exec todos \{\} \;

# Zip everything to fit into a diskette.
zip -9r all.zip distrib
mv all.zip distrib
